Как придать текстовую величину?

Ответить
Belo4ka
Сообщения: 1
Зарегистрирован: 06 окт 2014, 14:08

Как придать текстовую величину?

Сообщение Belo4ka » 06 окт 2014, 14:23

Замучалась искать,может кто поможет, есть точки или блоки с высотой в автокаде,но нет к ним отметок.Как им придать текстовую величину?есть какой-нибудь способ, КРОМЕ 3d service?????

Аватара пользователя
Александр Устинов
Администратор
Сообщения: 3311
Зарегистрирован: 14 ноя 2013, 09:10
Откуда: Химки
Контактная информация:

Re: Как придать текстовую величину?

Сообщение Александр Устинов » 07 окт 2014, 07:01

Если просто точки, то загнать в Civil и сделать текстовую метку. В свойствах группы точек стиль метки точек или стиль точки. В справке к Civil должно быть описано.

Qvinto
Геодезист
Сообщения: 1
Зарегистрирован: 07 окт 2014, 07:56

Re: Как придать текстовую величину?

Сообщение Qvinto » 07 окт 2014, 08:11

Belo4ka писал(а):Замучалась искать,может кто поможет, есть точки или блоки с высотой в автокаде,но нет к ним отметок.Как им придать текстовую величину?есть какой-нибудь способ, КРОМЕ 3d service?????
Если для точек, то есть простенький и замечательный лиспик. Запускается командой PL. Ну, очень удобно.

Код: Выделить всё

(defun c:pl ( / H SSET lay osm npoint n ent pxy pz)
(if(and
(setq sset (ssget '((0 . "POINT"))))
(setq h (getreal "\tУкажи высоту текста\t\t")))
(mapcar(function(lambda  (x)
(entmake(list '(0 . "text")
(assoc 10 (entget x))(cons 40 h)
(cons 1 (rtos (cadddr (assoc 10 (entget x))) 2 2))))))
(vl-remove-if (function listp)
(mapcar (function cadr) (ssnamex sset)))))
(princ))
Как устанавливать лисп и пользоваться им, надеюсь знаете?
А блоки! А блоки у вас с атрибутами? Если с атрибутами, то тогда просто.
Если нет, то я бы сделал следующим образом: скопировал в исходные координаты все необходимые блоки в чистый чертёж, там, зашел в редактор блоков, и отредакторовал бы вхождение блока, то есть: заменил все элементы точки вставки блока на примитив Автокада точка. Соранил бы вхождение блока. А, потом взорвал бы их всех. В результате, вместо блоков у меня будут точки Автокада. Дальше догадываетесь, что надо сделать? Что бы отметки получить?

Ответить

Вернуться в «AutoCAD»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость